### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
EnergyFuture Class Reference
Financial instruments

Energy future. More...

`#include <ql/experimental/commodities/energyfuture.hpp>`

Inheritance diagram for EnergyFuture:
[legend]

List of all members.

## Public Member Functions

| EnergyFuture (Integer buySell, const Quantity &quantity, const CommodityUnitCost &tradePrice, const boost::shared_ptr< CommodityIndex > &index, const CommodityType &commodityType, const boost::shared_ptr< SecondaryCosts > &secondaryCosts)
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
Quantity | quantity () const
const CommodityUnitCost & | tradePrice () const
const boost::shared_ptr < CommodityIndex > | index () const

## Protected Member Functions

void | performCalculations () const

## Protected Attributes

Integer | buySell_
Quantity | quantity_
CommodityUnitCost | tradePrice_
boost::shared_ptr< CommodityIndex > | index_

## Detailed Description

Energy future.

## Member Function Documentation

void performCalculations | ( |  | ) | const`[protected, virtual]`

In case a pricing engine is not used, this method must be overridden to perform the actual calculations and set any needed results. In case a pricing engine is used, the default implementation can be used.

Reimplemented from Instrument.